Menu

## MessageThreadRepository extends EntityRepository
in package

MessageThreadRepository.php : 15

Repository for MessageThreads.

### Table of Contents

createThreadKey() : string
  Creates a thread key based on the participating characters and a schema.
findOrCreateFor() : MessageThread
  Finds a messageThread.
findOrCreateReadonlyFor() : MessageThread
  Finds a systemMessage or returns a newly created, read-only thread.

### Methods

#### createThreadKey()

MessageThreadRepository.php : 23

Creates a thread key based on the participating characters and a schema.

`public static createThreadKey(array<string|int, mixed> $listOfCharacters, string $messageSchema) : string`

##### Parameters

$listOfCharacters : array<string|int, mixed>
$messageSchema : string

##### Return values

string —

#### findOrCreateFor()

MessageThreadRepository.php : 46

Finds a messageThread.

`public findOrCreateFor(array<string|int, mixed> $listOfCharacters) : MessageThread`

##### Parameters

$listOfCharacters : array<string|int, mixed>

##### Return values

MessageThread —

#### findOrCreateReadonlyFor()

MessageThreadRepository.php : 74

Finds a systemMessage or returns a newly created, read-only thread.

`public findOrCreateReadonlyFor(array<string|int, mixed> $listOfCharacters) : MessageThread`

##### Parameters

$listOfCharacters : array<string|int, mixed>

##### Return values

MessageThread —

## Search results